
From: Adrian Bunk <bunk@stusta.de>

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/lockd/clntproc.c         |    4 ++--
 25-akpm/include/linux/lockd/lockd.h |    2 --
 2 files changed, 2 insertions(+), 4 deletions(-)

diff -puN fs/lockd/clntproc.c~fs-lockd-clntprocc-make-2-functions-static fs/lockd/clntproc.c
--- 25/fs/lockd/clntproc.c~fs-lockd-clntprocc-make-2-functions-static	Mon Jan 24 15:15:00 2005
+++ 25-akpm/fs/lockd/clntproc.c	Mon Jan 24 15:15:00 2005
@@ -322,7 +322,7 @@ static int nlm_wait_on_grace(wait_queue_
 /*
  * Generic NLM call
  */
-int
+static int
 nlmclnt_call(struct nlm_rqst *req, u32 proc)
 {
 	struct nlm_host	*host = req->a_host;
@@ -428,7 +428,7 @@ nlmsvc_async_call(struct nlm_rqst *req, 
 	return status;
 }
 
-int
+static int
 nlmclnt_async_call(struct nlm_rqst *req, u32 proc, rpc_action callback)
 {
 	struct nlm_host	*host = req->a_host;
diff -puN include/linux/lockd/lockd.h~fs-lockd-clntprocc-make-2-functions-static include/linux/lockd/lockd.h
--- 25/include/linux/lockd/lockd.h~fs-lockd-clntprocc-make-2-functions-static	Mon Jan 24 15:15:00 2005
+++ 25-akpm/include/linux/lockd/lockd.h	Mon Jan 24 15:15:00 2005
@@ -143,8 +143,6 @@ extern unsigned long		nlmsvc_timeout;
  * Lockd client functions
  */
 struct nlm_rqst * nlmclnt_alloc_call(void);
-int		  nlmclnt_call(struct nlm_rqst *, u32);
-int		  nlmclnt_async_call(struct nlm_rqst *, u32, rpc_action);
 int		  nlmclnt_block(struct nlm_host *, struct file_lock *, u32 *);
 int		  nlmclnt_cancel(struct nlm_host *, struct file_lock *);
 u32		  nlmclnt_grant(struct nlm_lock *);
_
